# clusters/atlas/flux-system/applications/harbor/kustomization.yaml
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: harbor
  namespace: flux-system
  annotations:
    kustomize.toolkit.fluxcd.io/ssa: IfNotPresent
spec:
  interval: 10m
  path: ./services/harbor
  targetNamespace: harbor
  prune: false
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  wait: false
  dependsOn:
    - name: core
    - name: longhorn
    - name: vault
    - name: postgres
